package net.sf.javaprinciples.data.transformer;

import net.sf.jcc.model.parser.uml2.ModelElement;

/**
 * Default implementation of a ModelElementSourceDestinationMapper.
 * Handles the retrieval of source attribute names and values and
 * the setting of these values on the destination attribute.
 *
 * @author Kay Chevalier
 */
public abstract class AbstractSourceDestinationAttributeMapper implements ModelElementSourceDestinationMapper
{
    protected ObjectTypeMapper objectTypeMapper;
    protected ModelElement mappingElement;

    public void setObjectTypeMapper(ObjectTypeMapper objectTypeMapper)
    {
        this.objectTypeMapper = objectTypeMapper;
    }

    public void setMappingElement(ModelElement mappingElement)
    {
        this.mappingElement = mappingElement;
    }
}
